{% extends 'base_backend.html.twig' %}
{% block title %}
    <title>SayaraAdmin - Ajout Voiture</title>
{% endblock %}
{% block VNactive %}class="active"{% endblock %}
{% block subVN %} style="display:block;" {% endblock %}
{% block AVNactive %} class="active" {% endblock %}
{% block breadcumb %}
    <li>Voitures Neuves</li>
    <li class="active">Modifier une Voiture</li>
{% endblock %}
{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset("frontassets/css/dropzone.css") }}"/>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/balloon-css/0.5.0/balloon.min.css">

{% endblock %}
{% block body %}
    <style>
        .dz-image >img {
            width: 200px;
            height: auto;
        }
        .dz-details{
            display : none;
        }
        .dropzone .dz-preview .dz-image {
             border-radius: 5px;
             overflow: hidden;
             width: 200px;
             height: 160px;
             position: relative;
             display: block;
             z-index: 10;
         }

    </style>


    <div class="row">
        <div class="col-xs-10 col-sm-10 col-md-10">
            <!-- PAGE CONTENT BEGINS -->
            <div class="page-header">
                <h1 class="green">
                    Ajouter une Voiture
                </h1>
            </div>
            <form action="" id="formapp" class="form-horizontal" enctype="multipart/form-data" method="post" novalidate="novalidate">
                <div class="container">
                    <div class="row">
                        <div class="form-group">
                            <label class="col-md-3 control-label no-padding-right" for="marque"> Marque </label>
                            <div class="col-md-3">
                                {{form_widget(edit_form.marque, { 'attr': {'class': 'form-control'}}) }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label no-padding-right" for="modele"> Modele </label>
                            <div class="col-md-3">
                                {{form_widget(edit_form.modele, { 'attr': {'class': 'form-control'}}) }}
                            </div>
                        </div>
                    </div>

                </div>

                <div class="form-group">
                    <label class="col-md-3 control-label" for="kilometrage">Prix <sup>*</sup></label>
                    <div class="col-md-4">
                        <div class="input-group">
                            {{form_widget(edit_form.price, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">DT</span></div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-3 control-label" for="kilometrage"></label>
                    <div class="col-md-8">
                        {% if edit_form.price.vars.errors | length %}
                            <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.price) }}</div>
                        {% endif %}
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-3 control-label">Description <sup>(facultatifl)</sup></label>
                    <div class="col-md-8">
                        {{form_widget(edit_form.description, { 'attr': {'class': 'form-control' }}) }}
                    </div>
                </div>
                <div class="form-group" >
                    <div class="col-md-12" >
                        <div data-balloon-length="large" data-balloon="Déposez vos photos ici ou cliquez pour télécharger." data-balloon-pos="up" class="dropzone my-dropzone" id="form_snippet_image" action="{{path('ajax_snippet_photo_send_new_car', {'id':vehicle.id})}}">
                        </div>
                    </div>
                </div>

               {# {{ form_errors(edit_form.imageins) }}
                {{ form_widget(edit_form.imageins) }}
#}
               {# <div class="form-group">
                    <label class="col-sm-3 control-label no-padding-right" for="form-field-1-1">Image intérieures</label>
                    <div id="imageins" class="col-sm-9" data-prototype="{{ form_widget(edit_form.imageins.vars.prototype)|e }}">
                        {% for imagein in edit_form.imageins %}
                            <div>
                                {{ form_errors(imagein) }}
                                <div class="fileUpload btn btn-primary">
                                    <span>Upload</span>
                                    {{ form_widget(imagein, { 'attr': {'class': 'upload' }}) }}
                                </div>
                            </div>
                        {% endfor %}
                        <button id="addImagein" class="inFiled btn-primary btn"style="float: right"><i class="fa fa-plus-square"></i> </button>
                    </div>
                </div>

                {{ form_errors(edit_form.imageouts) }}

                <div class="form-group">
                    <label class="col-sm-3 control-label no-padding-right" for="form-field-1-1">Image extérieures</label>
                    <div id="imageouts" class="col-sm-9" data-prototype="{{ form_widget(edit_form.imageouts.vars.prototype)|e }}">
                        {% for imageout in edit_form.imageouts %}
                            <div>
                                {{ form_errors(imageout) }}
                                {{ form_widget(imageout) }}
                            </div>
                        {% endfor %}
                        <button id="addImageout" class="outFiled btn-primary btn"style="float: right"><i class="fa fa-plus-square"></i> </button>
                    </div>
                </div>

#}

                {#<div class="form-group">#}

                {#<div class="col-sm-9">#}
                {#<input type="file" class="id-input-file-2" name="in1" required>#}
                {#<input type="file" class="id-input-file-2" name="in2">#}
                {#<input type="file" class="id-input-file-2" name="in3">#}
                {#<input type="file" class="id-input-file-2" name="in4">#}

                {#<div class="inPhotos">#}


                {#</div>#}
                {#</div>#}
                {#<button class="inFiled btn-primary btn"style="float: right"><i class="fa fa-plus-square"></i> </button>#}
                {#</div>#}
                {#<div class="form-group">#}
                {#<label class="col-sm-3 control-label no-padding-right" for="form-field-1-1"> Images Extérieure </label>#}
                {#<div class="col-sm-9">#}
                {#<input type="file" class="id-input-file-2" name="out1" required>#}
                {#<input type="file" class="id-input-file-2" name="out2">#}
                {#<input type="file" class="id-input-file-2" name="out3">#}
                {#<input type="file" class="id-input-file-2" name="out4">#}

                {#<div class="outPhotos">#}


                {#</div>#}
                {#</div>#}
                {#<button class="outFiled btn-primary btn"style="float: right"><i class="fa fa-plus-square"></i> </button>#}
                {#</div>#}
                <div class="space-4"></div>
                <div class="form-group" style="text-align: center;">
                    <button type="submit" class="btn btn-success">Mettre à jour la Voiture</button>
                    <a type="reset" class="btn btn-default" href="{{ path('new_car_index') }}">Annuler</a>
                </div>
            </form>

        </div><!-- /.col -->
    </div>
{% endblock %}
{% block javascript %}
    <script src="{{ asset('frontassets/assets/js/fileinput.min.js') }}" type="text/javascript"></script>
    <script src="{{ asset('frontassets/js/dropzone.js') }}"></script>

<script>
    $(".upload").fileinput(
        {   'showUpload':!1,
            'allowedFileExtensions': ["jpg", "png"] ,
            'minFileSize':100,
            'maxFileSize':2200
        });
    $('#sayara_backendbundle_newcar_marque').change(function () {
        var marqueSelector = $(this);
        var marqueid= marqueSelector.val()

        // Request the models of the selected marque.
        $.ajax({
            url: "{{ path('vehicle_model_list') }}",
            type: "POST",
            dataType: "JSON",
            data: {
                marqueid: marqueSelector.val()
            },
            success: function (models) {
                var modelSelect = $("#sayara_backendbundle_newcar_modele");

                // Remove current options
                modelSelect.html('');

                // Empty value ...
                modelSelect.append('<option value> Choisir un modele de  ' + marqueSelector.find("option:selected").text() + ' ...</option>');


                $.each(models, function (key, model) {
                    modelSelect.append('<option value="' + model.id + '">' + model.libelle + '</option>');
                });
            },
            error: function (err) {
                alert("An error ocurred while loading data ...");
            }
        });
    });

    // keep track of how many image in fields have been rendered
    var imageinCount = '{{ edit_form.imageins|length }}';

    $('#addImagein').click(function(e) {
        e.preventDefault();

        var imgList = $('#imageins');

        // grab the prototype template
        var newWidget = imgList.attr('data-prototype');
        newWidget = newWidget.replace(/__name__/g, imageinCount);
        imageinCount++;

        // create a new list element and add it to the list
        var newLi = $('<div></div>').html(newWidget);
        newLi.appendTo(imgList);
    });
    // keep track of how many image in fields have been rendered
    var imageoutCount = '{{ edit_form.imageouts|length }}';

    $('#addImageout').click(function(e) {
        e.preventDefault();

        var imgList = $('#imageouts');

        // grab the prototype template
        var newWidget = imgList.attr('data-prototype');
        newWidget = newWidget.replace(/__name__/g, imageoutCount);
        imageoutCount++;

        // create a new list element and add it to the list
        var newLi = $('<div></div>').html(newWidget);
        newLi.appendTo(imgList);
    });



    //je récupère l'action où sera traité l'upload en PHP
    var _actionToDropZone ;
    console.log("_actionToDropZone", _actionToDropZone);

    <!-- 3 -->
    var photo_counter = 0;
    Dropzone.options.realDropzone = {
        thumbnailWidth: "300",
        thumbnailHeight: "300",
        dictRemoveFileConfirmation: true,
        // The setting up of the dropzone
        init:function() {
            myDropzone = this;
            $.ajax({
                url: "{{ path('get_uploaded_photos_new_car') }}",
                type: "POST",
                dataType: "JSON",
                data: {
                    id: '{{ app.request.get('id') }}'
                },
                success: function (data) {

                    $.each(data.photos, function(key,value){

                        console.log(value)
                        var mockFile = { name: value.name , size: 12345, accepted: true,
                            kind: 'image'};

                        myDropzone.options.addedfile.call(myDropzone, mockFile);

                        myDropzone.options.thumbnail.call(myDropzone, mockFile, "/uploads/applications/"+mockFile.name);
                        $("div.dz-details").remove()
                        $("div.dz-progress").remove()


                        myDropzone.on("removedfile", function(mockFile) {
                            // Request the models of the selected marque.

                            $.ajax({
                                url: "{{ path('delete_uploaded_photo') }}",
                                type: "POST",
                                dataType: "JSON",
                                data: {
                                    deleted_photo: mockFile.name
                                },
                                success: function (photo) {
                                    console.log(photo)



                                },
                                error: function (err) {
                                    console.log("An error occurred while deleted data ...");
                                }
                            });

                        });


                    });
                    $('div.dz-default.dz-message >span').html("Déposez vos photos ici ou cliquez pour télécharger.");
                    $('div.dz-default.dz-message').show();
                },
                error: function (err) {
                    alert("Erreurs lors de téléchargement ...");
                }
            });


        },
        queuecomplete:function(file, response)
        {
            BootstrapDialog.alert('L’annonce est modifiée avec success  !');




        }
        ,
        error: function(file, response) {
            if($.type(response) === "string")
                var message = response; //dropzone sends it's own error messages in string
            else
                var message = response.message;
            file.previewElement.classList.add("dz-error");
            _ref = file.previewElement.querySelectorAll("[data-dz-errormessage]");
            _results = [];
            for (_i = 0, _len = _ref.length; _i < _len; _i++) {
                node = _ref[_i];
                _results.push(node.textContent = message);
            }
            return _results;
        },
        success: function(file,done) {
            photo_counter++;
            $("#photoCounter").text( "(" + photo_counter + ")");
        }
    }

    Dropzone.options.realDropzone.init();


    //je définis ma zone de drop grâce à l'ID de ma div citée plus haut.
    Dropzone.autoDiscover = false;
    var myDropzone = new Dropzone("#form_snippet_image",
        {
            thumbnailWidth: "300",
            thumbnailHeight: "300",
            dictRemoveFileConfirmation : "Etes vous sûr de vouloir supprimer cette image ?",
            url: _actionToDropZone,
            addRemoveLinks: true,
            dictRemoveFile: "Supprimer",
            dictCancelUpload: "Annuler le téléchargement",
            thumbnailMethod : "contain",
            createImageThumbnails : true,
            thumbnailWidth : 500,
            clickable : true,



            queuecomplete:function(file, response)
            {

            }

        });


    myDropzone.on("addedfile", function(file) {
        $('div.dz-size').remove();
        $('div.dz-filename').remove()
        file.previewElement.addEventListener("click", function() {

            console.log(file.upload)
            myDropzone.removeFile(file);
            // Request the models of the selected marque.
            $.ajax({
                url: "{{ path('delete_uploaded_photo') }}",
                type: "POST",
                dataType: "JSON",
                data: {
                    deleted_photo: file.upload['filename']
                },
                success: function (photo) {



                    console.log(photo)
                },
                error: function (err) {
                    alert("An error ocurred while deleted data ...");
                }
            });
        });
    });
    $('div.dz-default.dz-message >span').html("Déposez vos photos ici ou cliquez pour télécharger.");

    setTimeout(function () {
        $('div.dz-default.dz-message').show();
    },2000)

</script>
{% endblock %}
